Bug 444631 - Error dialog says "unknown" when error message gives good info
Error dialog says "unknown" when error message gives good info
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 12:48 EDT by Max Spevack
Modified: 2008-10-09 12:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-09 12:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of error (24.28 KB, image/png)
2008-04-29 12:48 EDT, Max Spevack
no flags Details

  None (edit)
Description Max Spevack 2008-04-29 12:48:12 EDT
Description of problem:

Using PK to update my system -- error dialog pops up saying "Unknown error" but
when you click the "More" arrow, it tells you exactly what the error is.

See attached screenshot.

Version-Release number of selected component (if applicable):

[spevack@localhost ~]$ rpm -qa | grep Package
PackageKit-0.1.12-7.20080425.fc9.i386
PackageKit-libs-0.1.12-7.20080425.fc9.i386
Comment 1 Max Spevack 2008-04-29 12:48:12 EDT
Created attachment 304141 [details]
screenshot of error
Comment 2 Max Spevack 2008-04-29 12:49:43 EDT
Just to be clear, I'm not complaining about the error itself -- I understand why
th error is being reported.

The bug is that in one place PK says the error is Unknown and in another place
PK tells you exactly what the error is.
Comment 3 Bug Zapper 2008-05-14 06:23:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Richard Hughes 2008-05-22 13:01:13 EDT
Right, this should now be fixed with the latest version of PK in F9. Please can
you check and confirm? Thanks.

Note You need to log in before you can comment on or make changes to this bug.